View Issue Details

IDProjectCategoryView StatusLast Update
0031282FPCPackagespublic2017-03-11 21:46
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031282: fcl-passrc fails to use ^ in strings
Descriptionprogram Project1;
begin
  writeln(^C'asd');
  readln;
end.

Generate - Identifier expected at token ")" at line 3 column 18
TagsNo tags attached.
Fixed in Revision35415
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-03-04 15:29

administrator   ~0098630

Fixed, and fix fixed by Mattias Gaertner.

Andrey Zubarev

2017-03-05 11:07

reporter   ~0098648

Thanks!

Andrey Zubarev

2017-03-06 04:19

reporter   ~0098676

Sorry, but

unit FPTools;

interface
type
    TToolMessageListBox = object
    end;

implementation
const
      msg_errorparsingparametersatpos = ^C'Error parsing parameters line at line position %d.';
begin
end.

Gives Parser error: "Expected ";" at token "string" in file passrcerrors.pas at line 10 column 94"

If remove type section - works ok

Michael Van Canneyt

2017-03-11 16:41

administrator   ~0098818

Should be fixed.

Issue History

Date Modified Username Field Change
2017-01-28 17:22 Andrey Zubarev New Issue
2017-01-28 17:28 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-01-28 17:28 Michael Van Canneyt Status new => assigned
2017-03-04 15:29 Michael Van Canneyt Fixed in Revision => 35415
2017-03-04 15:29 Michael Van Canneyt Note Added: 0098630
2017-03-04 15:29 Michael Van Canneyt Status assigned => resolved
2017-03-04 15:29 Michael Van Canneyt Fixed in Version => 3.1.1
2017-03-04 15:29 Michael Van Canneyt Resolution open => fixed
2017-03-04 15:29 Michael Van Canneyt Target Version => 3.2.0
2017-03-05 11:07 Andrey Zubarev Note Added: 0098648
2017-03-05 11:07 Andrey Zubarev Status resolved => closed
2017-03-06 04:19 Andrey Zubarev Note Added: 0098676
2017-03-06 04:19 Andrey Zubarev Status closed => feedback
2017-03-06 04:19 Andrey Zubarev Resolution fixed => reopened
2017-03-11 16:41 Michael Van Canneyt Note Added: 0098818
2017-03-11 16:41 Michael Van Canneyt Status feedback => resolved
2017-03-11 16:41 Michael Van Canneyt Resolution reopened => fixed
2017-03-11 21:46 Andrey Zubarev Status resolved => closed